histCluster {Rmixmod} | R Documentation

## Histogram of a class [`MixmodResults`]

### Description

Histograms of data object using parameters from a [`MixmodResults`] to plot densities.

### Usage

    histCluster(x, data, variables = colnames(data), xlab = rep("",
      length(variables)), main = paste("Histogram of", variables),
      hist_x_dim = 10000, ...)

### Arguments

`x` | an object of class [`MixmodResults`]
`data` | a vector or data frame containing a quantitative data set.
`variables` | list of variables names (or indices) to compute a histogram. All variables from data by default.
`xlab` | a list of title for the x axis. xlab must have the same length than variables.
`main` | a list of title for the histogram. main must have the same length than variables.
`hist_x_dim` | Dimension of the histogram (???)
`...` | further arguments passed to or from other methods

### Details

Data with the density of each cluster and the mixture density are drawn for each variable.

### See Also

`hist`

### Examples

      data(geyser)
      xem1 <- mixmodCluster(geyser,3)
      ## Not run:  histCluster(xem1["bestResult"], geyser)
      histCluster(xem1["bestResult"], geyser, variables=1)

[Package Rmixmod version 2.1.2.2 Index]